API Explorer 896 endpoints

Get supporting_document by id

GET /obp/dynamic-entity/banks/ogcr/supporting_document/SUPPORTING_DOCUMENT_ID

OBPv4.0.0-dynamicEntity_getSinglesupporting_document_ogcr Roles: CanGetDynamicEntityRecord_supporting_document(per bank) _Supporting_document(ogcr)Dynamic-EntityDynamic

Get supporting_document by id.

Parsed entity supporting_document. This Dynamic Entity is part of OGCR.

Property List:

  • supporting_document_id: ISO 3166-1 alpha-2 country code for where the activity occurs.
  • title: Title of the document

MethodRouting settings example:

<details>

{
  "is_bank_id_exact_match":false,
  "method_name":"dynamicEntityProcess",
  "connector_name":"rest_vMar2019",
  "bank_id_pattern":".*",
  "parameters":[
    {
        "key":"entityName",
        "value":"supporting_document"
    }
    {
        "key":"url",
        "value":"http://mydomain.com/xxx"
    }
  ]
}

</details>

User Authentication is Required. The User must be logged in. The Application must also be authenticated.

Example success response
{
  "bank_id": "ogcr",
  "supporting_document": {
    "supporting_document_id": "DE",
    "title": "Germany",
    "sha256_of_document": "string",
    "url": "string"
  }
}
Possible errors (3)
  • OBP-20001: User not logged in. Authentication is required!
  • OBP-20006: User is missing one or more roles:
  • OBP-50000: Unknown Error.
Implemented by OBPv4.0.0 dynamicEntity_getSinglesupporting_document_ogcr Originally /banks/ogcr/supporting_document/SUPPORTING_DOCUMENT_ID